org.mariadb.jdbc.internal.common.packet

## Class ResultPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacket

Direct Known Subclasses:
  EOFPacket, ErrorPacket, LocalInfilePacket, OKPacket, ResultSetPacket

    public abstract class ResultPacket
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`ResultPacket()`

### Method Summary

Methods
`abstract byte` `getPacketSeq()`
`abstract ResultPacket.ResultType` `getResultType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultPacket

    public ResultPacket()

### Method Detail

#### getResultType

    public abstract ResultPacket.ResultType getResultType()

#### getPacketSeq

    public abstract byte getPacketSeq()